digiKam Developer Documentation: Digikam::CollectionLocation Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | Protected Attributes | List of all members
Digikam::CollectionLocation Class Reference

## Public Types
enum | CaseSensitivity { UnknownCaseSensitivity , CaseInsensitive , CaseSensitive }
enum | Status { LocationNull , LocationAvailable , LocationHidden , LocationUnavailable , LocationDeleted }
enum | Type { Undefined = 0 , VolumeHardWired = 1 , VolumeRemovable = 2 , Network = 3 }

## Public Member Functions
QString | albumRootPath () const
| The current file system path leading to this album root.
Qt::CaseSensitivity | asQtCaseSensitivity () const
| Return as Qt case sensitivity enum of location.
CaseSensitivity | caseSensitivity () const
| The case sensitivity of location.
size_t | hash () const
int | id () const
| The id uniquely identifying this collection.
bool | isAvailable () const
bool | isNull () const
QString | label () const
| A user-visible, optional label.
Status | status () const
| The current status.
Type | type () const
| The type of location.

## Public Attributes
QString | identifier

## Protected Attributes
CaseSensitivity | m_caseSensitivity = UnknownCaseSensitivity
int | m_id = -1
QString | m_label
QString | m_path
Status | m_status = LocationNull
Type | m_type = VolumeHardWired

## Member Enumeration Documentation

## ◆ CaseSensitivity

enum Digikam::CollectionLocation::CaseSensitivity

Enumerator
UnknownCaseSensitivity | The location has an unknown case sensitivity.
CaseInsensitive | The location is case insensitive.
CaseSensitive | The location is case sensitive.

## ◆ Status

enum Digikam::CollectionLocation::Status

Enumerator
LocationNull | An invalid status. A location has this status if it is not valid, and it had this status before its creation (for oldStatus information)
LocationAvailable | The location if available. This is the most common status.
LocationHidden | The location is explicitly hidden. This gives no information if the location was available were it not hidden.
LocationUnavailable | The location is currently not available. (Harddisk unplugged, CD not in drive, network fs not mounted etc.) It may become available any time.
LocationDeleted | An invalid status. A location object acquires this status if it has been deleted. The object then does no longer point to an existing location.

## ◆ Type

enum Digikam::CollectionLocation::Type

Enumerator
Undefined | The location is undefined. Keep values constant.
VolumeHardWired | The location is located on a storage device that is built-in without frequent removal: Hard-disk inside the machine.
VolumeRemovable | The location is located on a storage device that can be removed from the local machine, and is expected to be removed. USB stick, USB hard-disk, CD, DVD
Network | The location is available via a network file system. The availability depends on the network connection.

## Member Function Documentation

## ◆ albumRootPath()

QString Digikam::CollectionLocation::albumRootPath | ( |  | ) | const

Only guaranteed to be valid for location with status Available.

## ◆ asQtCaseSensitivity()

Qt::CaseSensitivity Digikam::CollectionLocation::asQtCaseSensitivity | ( |  | ) | const

For unknown, it is assumed to be Qt::CaseSensitive.

## ◆ caseSensitivity()

CollectionLocation::CaseSensitivity Digikam::CollectionLocation::caseSensitivity | ( |  | ) | const

See above for possible values.

## ◆ status()

CollectionLocation::Status Digikam::CollectionLocation::status | ( |  | ) | const

See above for possible values.

## ◆ type()

CollectionLocation::Type Digikam::CollectionLocation::type | ( |  | ) | const

See above for possible values.